package error

import "testing"

func TestEntityAlreadyExists_Error(t *testing.T) {
	tests := []struct {
		name string
		want string
	}{
		{
			name: "Test : Valid error String",
			want: "EntityAlreadyExists error",
		},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			e := &EntityAlreadyExists{}
			if got := e.Error(); got != tt.want {
				t.Errorf("Error() = %v, want %v", got, tt.want)
			}
		})
	}
}

func TestNoDataFound_Error(t *testing.T) {
	tests := []struct {
		name string
		want string
	}{
		{
			name: "Test : Valid error String",
			want: "NoDataFound error",
		},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			e := &NoDataFound{}
			if got := e.Error(); got != tt.want {
				t.Errorf("Error() = %v, want %v", got, tt.want)
			}
		})
	}
}

func TestNoDataWritten_Error(t *testing.T) {
	tests := []struct {
		name string
		want string
	}{
		{
			name: "Test : Valid error String",
			want: "NoDataWritten error",
		},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			e := &NoDataWritten{}
			if got := e.Error(); got != tt.want {
				t.Errorf("Error() = %v, want %v", got, tt.want)
			}
		})
	}
}

func TestNoRelationCreated_Error(t *testing.T) {
	tests := []struct {
		name string
		want string
	}{
		{
			name: "Test : Valid error String",
			want: "relationship creation error",
		},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			e := &NoRelationCreated{}
			if got := e.Error(); got != tt.want {
				t.Errorf("Error() = %v, want %v", got, tt.want)
			}
		})
	}
}
